{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "defaultContent" : "报销单2",
    "lanResTag" : "DE.LNAME.BXD2",
    "lanResType" : "DE.LNAME",
    "name" : "实体逻辑名称（DE.LNAME.*）[BXD2]",
    "refFlag" : true
  },
  "caption" : "报销单2",
  "codeName" : "BXD2EditView_Test",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/BXD2EditView_Test.json",
  "dynaSysMode" : 1,
  "name" : "BXD2EditView_Test",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "EditView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "codeName" : "EditView_Testtoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "工具栏模板（默认编辑界面）",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "defaultContent" : "保存",
        "lanResTag" : "TBB.TEXT.*.SAVE",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[*.SAVE]",
        "refFlag" : true
      },
      "caption" : "保存",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem3",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem3"
      },
      "getPSSysImage" : {
        "glyph" : "xf0c7@FontAwesome",
        "cssClass" : "fa fa-save"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "保存",
          "lanResTag" : "TBB.TEXT.*.SAVE",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.SAVE]",
          "refFlag" : true
        },
        "caption" : "保存",
        "codeName" : "Save",
        "fullCodeName" : "Save",
        "name" : "编辑界面_保存操作",
        "getPSSysImage" : {
          "glyph" : "xf0c7@FontAwesome",
          "cssClass" : "fa fa-save"
        },
        "predefinedType" : "EDITVIEW_SAVEACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "保存",
          "lanResTag" : "TBB.TOOLTIP.*.SAVE",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.SAVE]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Save",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "保存",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "保存",
        "lanResTag" : "TBB.TOOLTIP.*.SAVE",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[*.SAVE]",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "保存并新建",
        "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDNEW",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[EDITVIEW.SAVEANDNEW]",
        "refFlag" : true
      },
      "caption" : "保存并新建",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem4",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem4"
      },
      "getPSSysImage" : {
        "cssClass" : "sx-tb-saveandnew"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "保存并新建",
          "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDNEW",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[EDITVIEW.SAVEANDNEW]",
          "refFlag" : true
        },
        "caption" : "保存并新建",
        "codeName" : "SaveAndNew",
        "fullCodeName" : "SaveAndNew",
        "name" : "编辑界面_保存并新建操作",
        "getPSSysImage" : {
          "cssClass" : "sx-tb-saveandnew"
        },
        "predefinedType" : "EDITVIEW_SAVEANDNEWACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "保存并新建",
          "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDNEW",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[EDITVIEW.SAVEANDNEW]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "SaveAndNew",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "保存并新建",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "保存并新建",
        "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDNEW",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[EDITVIEW.SAVEANDNEW]",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "保存并关闭",
        "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDCLOSE",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[EDITVIEW.SAVEANDCLOSE]",
        "refFlag" : true
      },
      "caption" : "保存并关闭",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem5",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem5"
      },
      "getPSSysImage" : {
        "cssClass" : "sx-tb-saveandclose"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "保存并关闭",
          "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDCLOSE",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[EDITVIEW.SAVEANDCLOSE]",
          "refFlag" : true
        },
        "caption" : "保存并关闭",
        "codeName" : "SaveAndExit",
        "fullCodeName" : "SaveAndExit",
        "name" : "编辑界面_保存并退出操作",
        "getPSSysImage" : {
          "cssClass" : "sx-tb-saveandclose"
        },
        "predefinedType" : "EDITVIEW_SAVEANDEXITACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "保存并关闭",
          "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDCLOSE",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[EDITVIEW.SAVEANDCLOSE]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "SaveAndExit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "保存并关闭",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "保存并关闭",
        "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDCLOSE",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[EDITVIEW.SAVEANDCLOSE]",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem6",
      "spanMode" : false
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "删除并关闭",
        "lanResTag" : "TBB.TEXT.EDITVIEW.REMOVEANDCLOSE",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[EDITVIEW.REMOVEANDCLOSE]",
        "refFlag" : true
      },
      "caption" : "删除并关闭",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem7",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem7"
      },
      "getPSSysImage" : {
        "glyph" : "xf00d@FontAwesome",
        "cssClass" : "fa fa-remove"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "删除并关闭",
          "lanResTag" : "TBB.TEXT.EDITVIEW.REMOVEANDCLOSE",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[EDITVIEW.REMOVEANDCLOSE]",
          "refFlag" : true
        },
        "caption" : "删除并关闭",
        "codeName" : "RemoveAndExit",
        "fullCodeName" : "RemoveAndExit",
        "name" : "编辑界面_删除并退出操作",
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "predefinedType" : "EDITVIEW_REMOVEANDEXITACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "删除并关闭",
          "lanResTag" : "TBB.TOOLTIP.EDITVIEW.REMOVEANDCLOSE",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[EDITVIEW.REMOVEANDCLOSE]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "RemoveAndExit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "删除并关闭",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "删除并关闭",
        "lanResTag" : "TBB.TOOLTIP.EDITVIEW.REMOVEANDCLOSE",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[EDITVIEW.REMOVEANDCLOSE]",
        "refFlag" : true
      },
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem8",
      "spanMode" : false
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "新建",
        "lanResTag" : "TBB.TEXT.*.NEW",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[*.NEW]",
        "refFlag" : true
      },
      "caption" : "新建",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem12",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem12"
      },
      "getPSSysImage" : {
        "glyph" : "xf0f6@FontAwesome",
        "cssClass" : "fa fa-file-text-o"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TEXT.*.NEW",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.NEW]",
          "refFlag" : true
        },
        "caption" : "新建",
        "codeName" : "New",
        "fullCodeName" : "New",
        "name" : "编辑界面_新建操作",
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "predefinedType" : "EDITVIEW_NEWACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TOOLTIP.*.NEW",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.NEW]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "New",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "新建",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "新建",
        "lanResTag" : "TBB.TOOLTIP.*.NEW",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[*.NEW]",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem13",
      "spanMode" : false
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "拷贝",
        "lanResTag" : "TBB.TEXT.*.COPY",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[*.COPY]",
        "refFlag" : true
      },
      "caption" : "拷贝",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem14",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem14"
      },
      "getPSSysImage" : {
        "glyph" : "xf0c5@FontAwesome",
        "cssClass" : "fa fa-copy"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "拷贝",
          "lanResTag" : "TBB.TEXT.*.COPY",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.COPY]",
          "refFlag" : true
        },
        "caption" : "拷贝",
        "codeName" : "Copy",
        "fullCodeName" : "Copy",
        "name" : "编辑界面_拷贝操作",
        "getPSSysImage" : {
          "glyph" : "xf0c5@FontAwesome",
          "cssClass" : "fa fa-copy"
        },
        "predefinedType" : "EDITVIEW_COPYACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "拷贝",
          "lanResTag" : "TBB.TOOLTIP.*.COPY",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.COPY]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Copy",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "拷贝",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "拷贝",
        "lanResTag" : "TBB.TOOLTIP.*.COPY",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[*.COPY]",
        "refFlag" : true
      },
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem16",
      "spanMode" : false
    }, {
      "caption" : "第一个记录",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem23",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem23"
      },
      "getPSSysImage" : {
        "glyph" : "xf049@FontAwesome",
        "cssClass" : "fa fa-fast-backward"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "caption" : "第一个记录",
        "codeName" : "FirstRecord",
        "fullCodeName" : "FirstRecord",
        "name" : "编辑界面_第一个记录",
        "getPSSysImage" : {
          "glyph" : "xf049@FontAwesome",
          "cssClass" : "fa fa-fast-backward"
        },
        "predefinedType" : "EDITVIEW_FIRSTRECORDACTION",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "FirstRecord",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "第一个记录",
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : false,
      "showIcon" : true
    }, {
      "caption" : "上一个记录",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem24",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem24"
      },
      "getPSSysImage" : {
        "glyph" : "xf048@FontAwesome",
        "cssClass" : "fa fa-step-backward"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "caption" : "上一个记录",
        "codeName" : "PrevRecord",
        "fullCodeName" : "PrevRecord",
        "name" : "编辑界面_上一个记录",
        "getPSSysImage" : {
          "glyph" : "xf048@FontAwesome",
          "cssClass" : "fa fa-step-backward"
        },
        "predefinedType" : "EDITVIEW_PREVRECORDACTION",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "PrevRecord",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "上一个记录",
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : false,
      "showIcon" : true
    }, {
      "caption" : "下一个记录",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem25",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem25"
      },
      "getPSSysImage" : {
        "glyph" : "xf051@FontAwesome",
        "cssClass" : "fa fa-step-forward"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "caption" : "下一个记录",
        "codeName" : "NextRecord",
        "fullCodeName" : "NextRecord",
        "name" : "编辑界面_下一个记录",
        "getPSSysImage" : {
          "glyph" : "xf051@FontAwesome",
          "cssClass" : "fa fa-step-forward"
        },
        "predefinedType" : "EDITVIEW_NEXTRECORDACTION",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "NextRecord",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "下一个记录",
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : false,
      "showIcon" : true
    }, {
      "caption" : "最后一个记录",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem26",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem26"
      },
      "getPSSysImage" : {
        "glyph" : "xf050@FontAwesome",
        "cssClass" : "fa fa-fast-forward"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "caption" : "最后一个记录",
        "codeName" : "LastRecord",
        "fullCodeName" : "LastRecord",
        "name" : "编辑界面_最后一个记录",
        "getPSSysImage" : {
          "glyph" : "xf050@FontAwesome",
          "cssClass" : "fa fa-fast-forward"
        },
        "predefinedType" : "EDITVIEW_LASTRECORDACTION",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "LastRecord",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "最后一个记录",
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : false,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem21",
      "spanMode" : false
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "帮助",
        "lanResTag" : "TBB.TEXT.*.HELP",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[*.HELP]",
        "refFlag" : true
      },
      "caption" : "帮助",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem22",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem22"
      },
      "getPSSysImage" : {
        "glyph" : "xf128@FontAwesome",
        "cssClass" : "fa fa-question"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "帮助",
          "lanResTag" : "TBB.TEXT.*.HELP",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.HELP]",
          "refFlag" : true
        },
        "caption" : "帮助",
        "codeName" : "Help",
        "fullCodeName" : "Help",
        "name" : "编辑界面_帮助操作",
        "getPSSysImage" : {
          "glyph" : "xf128@FontAwesome",
          "cssClass" : "fa fa-question"
        },
        "predefinedType" : "EDITVIEW_HELPACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "帮助",
          "lanResTag" : "TBB.TOOLTIP.*.HELP",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.HELP]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Help",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "帮助",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "帮助",
        "lanResTag" : "TBB.TOOLTIP.*.HELP",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[*.HELP]",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    } ],
    "xDataControlName" : "form",
    "modelid" : "a4eb00b17f8652bdf677cb4ed5231e63",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "Test2",
    "controlType" : "FORM",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
      }
    },
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2/PSFORMS/Test2.json",
    "getGetDraftFromPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraftfrom",
      "actionName" : "GETDRAFTFROM",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraftfrom",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
      }
    },
    "getGetDraftPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraft",
      "actionName" : "GetDraft",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraft",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "GetDraft"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
      }
    },
    "logicName" : "Test2",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
        }
      }, {
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "编辑表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "FORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "srfupdatedate",
      "hidden" : true,
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "srforikey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfkey",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "BXD2ID",
        "codeName" : "BXD2Id"
      }
    }, {
      "id" : "srfmajortext",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "BXD2NAME",
        "codeName" : "BXD2Name"
      }
    }, {
      "id" : "srftempmode",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfuf",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfdeid",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfsourcekey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "type",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      }
    }, {
      "id" : "bxd2id",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "BXD2ID",
        "codeName" : "BXD2Id"
      }
    }, {
      "id" : "mxcount",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "MXCOUNT",
        "codeName" : "MXcount"
      }
    }, {
      "id" : "updatedate",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "createman",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      }
    }, {
      "id" : "bxd2name",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "BXD2NAME",
        "codeName" : "BXD2Name"
      }
    }, {
      "id" : "updateman",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    }, {
      "id" : "createdate",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      }
    } ],
    "getPSDEFormPages" : [ {
      "caption" : "基本信息",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "caption" : "报销类型",
        "codeName" : "type",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "type",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "TYPE",
          "codeName" : "Type"
        },
        "getPSEditor" : {
          "editorType" : "DROPDOWNLIST",
          "name" : "type",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__UsrCodeList1225197182.json"
          },
          "singleSelect" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "needCodeListConfig" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "defaultContent" : "报销单2标识",
          "lanResTag" : "DEF.LNAME.BXD2ID",
          "lanResType" : "DEF.LNAME",
          "name" : "属性逻辑名称（DEF.LNAME.*）[BXD2ID]",
          "refFlag" : true
        },
        "caption" : "报销单2标识",
        "codeName" : "bxd2id",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "bxd2id",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "BXD2ID",
          "codeName" : "BXD2Id"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "bxd2id",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "defaultContent" : "属性",
          "lanResTag" : "DEF.LNAME.MXCOUNT",
          "lanResType" : "DEF.LNAME",
          "name" : "属性逻辑名称（DEF.LNAME.*）[MXCOUNT]",
          "refFlag" : true
        },
        "caption" : "属性",
        "codeName" : "mxcount",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "mxcount",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "MXCOUNT",
          "codeName" : "MXcount"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 100,
          "name" : "mxcount"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "defaultContent" : "更新时间",
          "lanResTag" : "DEF.LNAME.UPDATEDATE",
          "lanResType" : "DEF.LNAME",
          "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEDATE]",
          "refFlag" : true
        },
        "caption" : "更新时间",
        "codeName" : "updatedate",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "updatedate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "updatedate",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "defaultContent" : "建立人",
          "lanResTag" : "DEF.LNAME.CREATEMAN",
          "lanResType" : "DEF.LNAME",
          "name" : "属性逻辑名称（DEF.LNAME.*）[CREATEMAN]",
          "refFlag" : true
        },
        "caption" : "建立人",
        "codeName" : "createman",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "createman",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "CREATEMAN",
          "codeName" : "CreateMan"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "createman",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
          },
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "convertToCodeItemText" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "defaultContent" : "报销单2名称",
          "lanResTag" : "DEF.LNAME.BXD2NAME",
          "lanResType" : "DEF.LNAME",
          "name" : "属性逻辑名称（DEF.LNAME.*）[BXD2NAME]",
          "refFlag" : true
        },
        "caption" : "报销单2名称",
        "codeName" : "bxd2name",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "bxd2name",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "BXD2NAME",
          "codeName" : "BXD2Name"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 200,
          "name" : "bxd2name"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "defaultContent" : "更新人",
          "lanResTag" : "DEF.LNAME.UPDATEMAN",
          "lanResType" : "DEF.LNAME",
          "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEMAN]",
          "refFlag" : true
        },
        "caption" : "更新人",
        "codeName" : "updateman",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "updateman",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UPDATEMAN",
          "codeName" : "UpdateMan"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "updateman",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
          },
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "convertToCodeItemText" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "defaultContent" : "建立时间",
          "lanResTag" : "DEF.LNAME.CREATEDATE",
          "lanResType" : "DEF.LNAME",
          "name" : "属性逻辑名称（DEF.LNAME.*）[CREATEDATE]",
          "refFlag" : true
        },
        "caption" : "建立时间",
        "codeName" : "createdate",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "createdate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "createdate",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
      }
    },
    "tabHeaderPos" : "TOP",
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
      }
    },
    "noTabHeader" : true,
    "name" : "form",
    "modelid" : "63680324-80B4-4699-A194-C72941BCA369",
    "modeltype" : "PSDEFORM_EDITFORM"
  }, {
    "codeName" : "EditView_Testdatainfobar",
    "controlType" : "DATAINFOBAR",
    "name" : "datainfobar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
    },
    "getPSControlParam" : {
      "id" : "datainfobar"
    }
  }, {
    "getCapPSLanguageRes" : {
      "defaultContent" : "报销单2",
      "lanResTag" : "DE.LNAME.BXD2",
      "lanResType" : "DE.LNAME",
      "name" : "实体逻辑名称（DE.LNAME.*）[BXD2]",
      "refFlag" : true
    },
    "caption" : "报销单2",
    "codeName" : "EditView_Testcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "EditView_Test",
  "getPSDEViewId" : "E8038610-78AA-4181-8F1B-EE6D84CA6F8B",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEEDITVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "EditView_Test",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEEDITVIEW",
  "xDataControlName" : "form",
  "enableDP" : true,
  "showDataInfoBar" : true,
  "modelid" : "b79e30ffc3e3f1f3b7829f44eb1e5676",
  "modeltype" : "PSAPPDEVIEW"
}